#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n, a;
    scanf("%d %d", &n, &a);
    if(n<3*a)
    {
        printf("-1");
    }
    else
    {
        if(n%2==0)
        {
            printf("%d 0\n", a);
            n-=a;
            printf("%d 0\n", a);
            n-=a;
            int k1=n/2+1;
            int k2=n/2-1;
            printf("%d %d", k1, k2);
        }
        if(n%2==1)
        {
            if(a==2)
            {
                printf("-1");
            }
            else
            {
                printf("%d 1\n", a);
                n-=a+1;
                printf("%d 0\n", a);
                n-=a;
                int k1=n/2+1;
                int k2=n/2-1;
                printf("%d %d", k1, k2);
            }

        }
    }
}